Package wx :: Class NativePixelData

[frames | no frames]

## Type NativePixelData

       object --+
                |
    PixelDataBase --+
                    |
                   NativePixelData

Proxy of C++ NativePixelData class

Method Summary
NativePixelData | ``__init__`(self, bmp)` __init__(self, Bitmap bmp, Rect rect) -> NativePixelData __init__(self, Bitmap bmp, Point pt, Size sz) -> NativePixelData
| `__del__(self)`
| ``__iter__`(self)` Create and return an iterator object for this pixel data object.
bool | `__nonzero__(self)`
NativePixelData_Accessor | `GetPixels(self)`
| `UseAlpha(self)`

Property Summary
| `Pixels`: See `GetPixels`
| `thisown`: The membership flag

Method Details

### __init__(self, bmp)
(Constructor)

__init__(self, Bitmap bmp, Rect rect) -> NativePixelData __init__(self, Bitmap bmp, Point pt, Size sz) -> NativePixelData

  Parameters:
    `bmp`
    (type=Bitmap)

  Returns:
    NativePixelData
  Overrides:
    `wx.PixelDataBase.__init__`

### __iter__(self)

Create and return an iterator object for this pixel data object. (It's really a generator but I won't tell if you don't tell.)

Property Details

### Pixels

See `GetPixels`

  Get Method:
    `GetPixels`(self)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:13:47 2007 | http://epydoc.sf.net